<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * MAZ Loader Field.
 *
 * @link       https://www.feataholic.com
 * @since      @pkg.version@ @pkg.type@
 *
 * @package    MZLDR
 * @subpackage MZLDR/admin
 */

/**
 * MAZ Loader Field.
 *
 * @package    MZLDR
 * @subpackage MZLDR/admin
 * @author     Your Name <email@example.com>
 */
class MZLDR_Field {


	protected $id;

	protected $type;

	protected $field_data;

	protected $settings;

	protected $form;

	public function __construct( $field_data = array() ) {
		if ( ! count( (array) $field_data ) ) {
			return;
		}

		$this->id = $field_data->id;

		$this->type = $field_data->type;

		// $this->name = isset($field_data->_name) ? $field_data->_name : $field_data->name;
		$this->name = isset( $field_data->_name ) ? $field_data->_name : '';

		$this->field_data = $field_data;

		// get all settings
		$this->settings = array(
			'id'   => array(
				'type'  => 'hidden',
				'name'  => 'mzldr[data][' . $this->id . '][id]',
				'class' => 'field_item_id',
				'value' => $this->id,
			),
			'type' => array(
				'type'  => 'hidden',
				'name'  => 'mzldr[data][' . $this->id . '][type]',
				'class' => 'field_item_type',
				'value' => $this->type,
			),
		);
		$field_settings = $this->getFieldSettings();
		$this->settings = array_merge( $this->settings, $field_settings );

		// init forms
		$this->form = new MZLDR_Forms();
	}

	public function render( $preview ) {
		$prefix = $preview ? MZLDR_ADMIN_PATH . 'partials/loader/fields/' : MZLDR_PUBLIC_PATH . 'partials/fields/';

		include $prefix . $this->type . '.php';
	}

	public function renderFieldSettings( $edit = false ) {
		include MZLDR_ADMIN_PATH . 'partials/forms/fields/settings/start.php';

		foreach ( $this->settings as $key => $field ) {
			$function_name = 'generate' . ucfirst( $field['type'] ) . 'Field';
			$this->form->$function_name( $field );
		}

		include MZLDR_ADMIN_PATH . 'partials/forms/fields/settings/end.php';
	}

}
